#include "StdAfx.h"
#include "EditPhoneNumber.h"
#include "Imm.h"
CEditPhoneNumber::CEditPhoneNumber(void)
{
}

CEditPhoneNumber::~CEditPhoneNumber(void)
{
}

BEGIN_MESSAGE_MAP(CEditPhoneNumber, CEdit)
	ON_CONTROL_REFLECT(EN_CHANGE, &CEditPhoneNumber::OnEnChange)

	ON_WM_KILLFOCUS()
END_MESSAGE_MAP()

void CEditPhoneNumber::OnEnChange()
{
	Invalidate();
	CString str;
	CEdit::GetWindowText(str);
	m_str = str;


}

LRESULT CEditPhoneNumber::WindowProc( UINT message, WPARAM wParam, LPARAM lParam )
{
	switch(message)
	{

	case WM_CHAR:
			if ( (wParam >= 0x30 && wParam <= 0x39) || wParam == 0x2D || wParam == 0x2B 
				|| wParam == 0x0D || wParam == 0x0A || wParam ==0x08 || wParam ==22 ||wParam == 3)
			{
				if (m_str.GetLength()>=16 && wParam !=0x08)
				{
					if ( m_eventFunc )
						m_eventFunc(EID_MAX, m_eventUser);
					return 0;
				}
			}
			else
			{
				if ( m_eventFunc )
					m_eventFunc(EID_NOTINPUT, m_eventUser);
				return 0;
			}
			break;
	}
	return CEdit::WindowProc(message, wParam, lParam);
}

void CEditPhoneNumber::SetEvent( EVENT_FUNC pFunc, void* pUser )
{
	m_eventFunc = pFunc;
	m_eventUser = pUser;
}

void CEditPhoneNumber::OnKillFocus(CWnd* pNewWnd)
{
	CEdit::OnKillFocus(pNewWnd);
	CString str;
	CEdit::GetWindowText(str);
	str.Remove('0');
	str.Remove('1');
	str.Remove('2');
	str.Remove('3');
	str.Remove('4');
	str.Remove('5');
	str.Remove('6');
	str.Remove('7');
	str.Remove('8');
	str.Remove('9');
	str.Remove('-');
	str.Remove('+');
	if (str != L"")
	{
		if ( m_eventFunc )
			m_eventFunc(EID_NOTINPUT, m_eventUser);
		CEdit::SetWindowText(L"");
	}
	// TODO: ⿡ ޽ ó ڵ带 ߰մϴ.
}
